Bug 24139 - missing dependency on php5-pdo
: missing dependency on php5-pdo
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/php5-pdo_mysql)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-09-22 14:00 by
Modified: 2010-09-28 01:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-09-22 14:00:35
php5-pdo_mysql-5.3.3.20100722-alt1

$ sudo aptitude install php5 php5-pdo_mysql
...
The following NEW packages will be installed:
  libmm php-base php5 php5-libs php5-pdo_mysql php5-suhosin 

$ php --version                            
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php/5.3.3/extensions/pdo_mysql.so' -
/usr/lib/php/5.3.3/extensions/pdo_mysql.so: undefined symbol:
php_pdo_register_driver in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php/5.3.3/extensions/suhosin.so' -
/usr/lib/php/5.3.3/extensions/suhosin.so: undefined symbol: crypt in Unknown on
line 0
PHP Warning:  Cannot open '@PHP_BROWSCAP@' for reading in Unknown on line 0
PHP 5.3.3 with Suhosin-Patch (cli) (built: Sep 17 2010 12:40:18) 
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

pdo_mysql.so требует символы, экспортируемые из pdo.so, однако зависимостей
между пакетами нет. Аналогичная проблема и в других пакетах php5-pdo_*.
------- Comment #1 From 2010-09-22 14:21:40 -------
это проблема в лишнем provides в пакете php5-libs
------- Comment #2 From 2010-09-28 01:06:06 -------
php5-5.3.3.20100722-alt2 -> sisyphus:

* Mon Sep 27 2010 Anton Farygin <rider@altlinux> 5.3.3.20100722-alt2
- removed php5-pdo provides (closes: #24139)
- removed browsecap section from cli config (closes: #24141)
- fixed phpinfo (by Sergey Kurakin)
- disabled fileinfo (should be used as extension, Sergey Kurakin)